Search Results for

Show / Hide Table of Contents

# Class TextFieldAutocomplete

Renders an overlay on another view at a given point that allows selecting from a range of 'autocomplete' options. An implementation on a TextField.

##### Inheritance

System.Object
Autocomplete
TextFieldAutocomplete

##### Implements

IAutocomplete

##### Inherited Members

Autocomplete.HostControl
Autocomplete.PopupInsideContainer
Autocomplete.MaxWidth
Autocomplete.MaxHeight
Autocomplete.Visible
Autocomplete.Suggestions
Autocomplete.AllSuggestions
Autocomplete.SelectedIdx
Autocomplete.ScrollOffset
Autocomplete.ColorScheme
Autocomplete.SelectionKey
Autocomplete.CloseKey
Autocomplete.Reopen
Autocomplete.RenderOverlay(Point)
Autocomplete.EnsureSelectedIdxIsValid()
Autocomplete.ProcessKey(KeyEvent)
Autocomplete.MouseEvent(MouseEvent, Boolean)
Autocomplete.RenderSelectedIdxByMouse(MouseEvent)
Autocomplete.ClearSuggestions()
Autocomplete.GenerateSuggestions()
Autocomplete.IsWordChar(Rune)
Autocomplete.Select()
Autocomplete.InsertSelection(String)
Autocomplete.IdxToWord(List<Rune>, Int32)
Autocomplete.Close()
Autocomplete.MoveUp()
Autocomplete.MoveDown()
Autocomplete.ReopenSuggestions()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TextFieldAutocomplete : Autocomplete, IAutocomplete

### Methods

#### DeleteTextBackwards()

##### Declaration

    protected override void DeleteTextBackwards()

##### Overrides

Autocomplete.DeleteTextBackwards()

#### GetCurrentWord()

##### Declaration

    protected override string GetCurrentWord()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

Autocomplete.GetCurrentWord()

#### InsertText(String)

##### Declaration

    protected override void InsertText(string accepted)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | accepted |

##### Overrides

Autocomplete.InsertText(String)

### Implements

IAutocomplete